headers = [ 
  'rrr.hpp',

  'content/content.hpp', 
  'content/file/file.hpp',
  'content/navigation/navigation.hpp',
  'content/history/history.hpp',
  'content/preview/preview.hpp',

  'layers/gui/browser/history/history.hpp',
  'layers/gui/browser/navigation/navigation.hpp',
  'layers/gui/browser/preview/preview.hpp',
  'layers/gui/dialogs/dialogs.hpp',
]
sources = [
  'content/content.cpp', 
  'content/file/file.cpp',
  'content/navigation/navigation.cpp',
  'content/history/history.cpp',
  'content/preview/preview.cpp',

  'layers/gui/browser/history/history.cpp',
  'layers/gui/browser/navigation/navigation.cpp',
  'layers/gui/browser/preview/preview.cpp',
  'layers/gui/dialogs/dialogs.cpp',
]

lib = library(
  'engine',
  include_directories : inc,
  sources: [headers, sources],
  dependencies : deps,
  cpp_args: args
)

engine_dep = declare_dependency(
  include_directories: inc, 
  link_with: lib, 
)

deps += engine_dep
